"use strict";

this.name = "YAH patrol AI";

this.aiStarted = function() {
	var ai = new worldScripts["oolite-libPriorityAI"].PriorityAIController(this.ship);
	ai.setCommunicationsRole("defenseShip");
	
	ai.setPriorities([
		//fight
		{
				condition: ai.conditionLosingCombat,
				behaviour: ai.behaviourFleeCombat,
				reconsider: 5
		},
		{
				condition: ai.conditionInCombat,
				configuration: ai.configurationAcquireCombatTarget,
				behaviour: ai.behaviourRepelCurrentTarget,
				reconsider: 5
		},
		{
				condition: ai.conditionMothershipIsAttackingHostileTarget,
				configuration: ai.configurationAcquireCombatTarget,
				behaviour: ai.behaviourRepelCurrentTarget,
				reconsider: 5
		},
		//patrol around the home station
		{
				condition: ai.conditionHomeStationExists,
				configuration: ai.configurationSetDestinationToHomeStation,
				behaviour: ai.behaviourApproachDestination,
				reconsider: 30
		}
	//seek refuge, if home station gets destructed
	].concat(ai.templateReturnToBaseOrPlanet()));
}
